/*
 * Copyright 2005-2006 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package examples.directorydao.common;

import org.seasar.directory.DirectoryControlProperty;
import org.seasar.framework.container.S2Container;

/**
 * ディレクトリDTO生成クラスです。
 * 
 * @author Jun Futagawa (Integsystem Corporation)
 * @version $Date:: 2006-04-30 02:34:00 +0900 $
 */
public class DirectoryDtoFactory {
	/** ディレクトトリ接続情報を表します。 */
	protected DirectoryControlProperty property;

	/**
	 * インスタンスを生成します。
	 * 
	 * @param container
	 */
	public DirectoryDtoFactory(S2Container container) {
		property = (DirectoryControlProperty)container
				.getComponent(DirectoryControlProperty.class);
	}
}
